Subject: Re: [klibc] [patch] import socket defines

From: Mike Frysinger <[email-masked]>
Date: Fri, 11 Jan 2008 02:07:37 -0500

On Friday 11 January 2008, David Miller wrote:
> From: Mike Frysinger <[email-masked]>
> Date: Fri, 11 Jan 2008 01:23:37 -0500
>
> > On Friday 11 January 2008, David Miller wrote:
> > > From: "H. Peter Anvin" <[email-masked]>
> > >
> > > > Seems the most logical thing to do would be to break out the small
> > > > portion that everyone wants into <linux/sockaddr.h> or somesuch, and
> > > > then remove those ifdefs entirely.
> > > >
> > > > Proposed patch (still being tested) attached...
> > >
> > > I think this would clearly break existing glibc builds.
> > >
> > > I agree with fixing the ifdef checks, but not like this.
> >
> > how ?  the large crap in linux/socket.h never made it into glibc builds,
> > and the few things at the top which were relocated to linux/sockaddr.h
> > are still pulled in via linux/socket.h.  for glibc, the resulting
> > '#include <linux/socket.h>' should be unchanged.
>
> Hmmm...
>
> Doesn't glibc include linux/socket.h?  If so, before it wouldn't get
> the sa_family_t et al. defines (because __GLIBC__ will be defined and
> it will be >= 2), but with your change it get those things.

oh, sorry, i see what you mean.  i was thinking in terms of crap removed (as 
that's what i'm after), not crap added (which is what Peter is after).  i 
hadnt noticed that.  i dont know if it'll break glibc (and really, any other 
sane libc).  if that is the case, then i think klibc here is the 2nd class 
citizen to everyone else.
-mike